> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deepdub.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get connections for a model

> Get the current number of machines and connections available for a specific model's autoscaling group.



## OpenAPI

````yaml get /concurrent_connections/{model_id}
openapi: 3.0.0
info:
  title: Deepdub API
  description: >-
    Deepdub's Text-to-Speech API enables high-quality, expressive speech
    generation with voice cloning, accent control, and real-time streaming
    capabilities.
  contact:
    email: support@deepdub.ai
  version: '1.0'
servers:
  - url: https://restapi.deepdub.ai/api/v1
    description: Production
security:
  - ApiKeyAuth: []
externalDocs:
  description: OpenAPI
  url: https://restapi.deepdub.ai/api/v1/swagger/index.html
paths:
  /concurrent_connections/{model_id}:
    get:
      tags:
        - Infrastructure
      summary: Get connections for a model
      description: >-
        Get the current number of machines and connections available for a
        specific model's autoscaling group.
      operationId: getConcurrentConnections
      parameters:
        - description: API Key
          name: x-api-key
          in: header
          required: true
          schema:
            type: string
            default: dd-00000000000000000000000065c9cbfe
          example: dd-00000000000000000000000065c9cbfe
        - description: Model ID
          name: model_id
          in: path
          required: true
          schema:
            type: string
          example: dd-etts-3.0
      responses:
        '200':
          description: Connection info for the model
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/model.ConcurrentConnectionsResponse'
        '401':
          description: Unauthorized — invalid or missing API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/model.APIError'
              example:
                success: false
                message: 'Unauthorized: invalid or missing API key'
        '404':
          description: Model not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/model.APIError'
              example:
                success: false
                message: Model not found
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/model.APIError'
              example:
                success: false
                message: Internal server error
components:
  schemas:
    model.ConcurrentConnectionsResponse:
      description: Autoscaling group connection information
      type: object
      properties:
        success:
          type: boolean
          example: true
        message:
          type: string
          example: Operation successful
        data:
          type: object
          properties:
            concurrent_connections:
              description: Current number of active connections
              type: integer
              example: 3
            desired_concurrent_connections:
              description: Desired number of connections in the autoscaling group
              type: integer
              example: 5
    model.APIError:
      description: Error response returned for all non-2xx status codes
      type: object
      required:
        - success
        - message
      properties:
        success:
          description: Always false for error responses
          type: boolean
          example: false
        message:
          description: Human-readable error message
          type: string
          example: Invalid request parameters
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication. Must start with `dd-` prefix.

````